evhtp_ssl_cfg_t Struct Reference

`#include <evhtp.h>`

## Data Fields

char * | pemfile
char * | privfile
char * | cafile
char * | capath
char * | ciphers
char * | named_curve
char * | dhparams
long | ssl_opts
long | ssl_ctx_timeout
int | verify_peer
int | verify_depth
evhtp_ssl_verify_cb | x509_verify_cb
evhtp_ssl_chk_issued_cb | x509_chk_issued_cb
long | store_flags
evhtp_ssl_scache_type | scache_type
long | scache_timeout
long | scache_size
evhtp_ssl_scache_init | scache_init
evhtp_ssl_scache_add | scache_add
evhtp_ssl_scache_get | scache_get
evhtp_ssl_scache_del | scache_del
void * | args

## Detailed Description

Definition at line 529 of file evhtp.h.

## Field Documentation

void* evhtp_ssl_cfg_t::args

Definition at line 551 of file evhtp.h.

char* evhtp_ssl_cfg_t::cafile

Definition at line 532 of file evhtp.h.

char* evhtp_ssl_cfg_t::capath

Definition at line 533 of file evhtp.h.

char* evhtp_ssl_cfg_t::ciphers

Definition at line 534 of file evhtp.h.

char* evhtp_ssl_cfg_t::dhparams

Definition at line 536 of file evhtp.h.

char* evhtp_ssl_cfg_t::named_curve

Definition at line 535 of file evhtp.h.

char* evhtp_ssl_cfg_t::pemfile

Definition at line 530 of file evhtp.h.

char* evhtp_ssl_cfg_t::privfile

Definition at line 531 of file evhtp.h.

evhtp_ssl_scache_add evhtp_ssl_cfg_t::scache_add

Definition at line 548 of file evhtp.h.

evhtp_ssl_scache_del evhtp_ssl_cfg_t::scache_del

Definition at line 550 of file evhtp.h.

evhtp_ssl_scache_get evhtp_ssl_cfg_t::scache_get

Definition at line 549 of file evhtp.h.

evhtp_ssl_scache_init evhtp_ssl_cfg_t::scache_init

Definition at line 547 of file evhtp.h.

long evhtp_ssl_cfg_t::scache_size

Definition at line 546 of file evhtp.h.

long evhtp_ssl_cfg_t::scache_timeout

Definition at line 545 of file evhtp.h.

evhtp_ssl_scache_type evhtp_ssl_cfg_t::scache_type

Definition at line 544 of file evhtp.h.

long evhtp_ssl_cfg_t::ssl_ctx_timeout

Definition at line 538 of file evhtp.h.

long evhtp_ssl_cfg_t::ssl_opts

Definition at line 537 of file evhtp.h.

long evhtp_ssl_cfg_t::store_flags

Definition at line 543 of file evhtp.h.

int evhtp_ssl_cfg_t::verify_depth

Definition at line 540 of file evhtp.h.

int evhtp_ssl_cfg_t::verify_peer

Definition at line 539 of file evhtp.h.

evhtp_ssl_chk_issued_cb evhtp_ssl_cfg_t::x509_chk_issued_cb

Definition at line 542 of file evhtp.h.

evhtp_ssl_verify_cb evhtp_ssl_cfg_t::x509_verify_cb

Definition at line 541 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h